package com.ruoyi.oa.service;

import com.ruoyi.oa.domain.SysOaTaskUser;
import com.ruoyi.oa.domain.vo.SysOaTaskUserVo;
import com.ruoyi.oa.domain.bo.SysOaTaskUserBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 文件共享表Service接口
 *
 * @author hdka
 * @date 2025-03-28
 */
public interface ISysOaTaskUserService {

    /**
     * 查询文件共享表
     */
    SysOaTaskUserVo queryById(Long taskUserId);

    /**
     * 查询文件共享表列表
     */
    TableDataInfo<SysOaTaskUserVo> queryPageList(SysOaTaskUserBo bo, PageQuery pageQuery);

    /**
     * 查询文件共享表列表
     */
    List<SysOaTaskUserVo> queryList(SysOaTaskUserBo bo);

    /**
     * 新增文件共享表
     */
    Boolean insertByBo(SysOaTaskUserBo bo);

    /**
     * 修改文件共享表
     */
    Boolean updateByBo(SysOaTaskUserBo bo);

    /**
     * 校验并批量删除文件共享表信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
